Package: org.gradle.tooling.model.eclipse

## [Java] Interface EclipseLinkedResource

- Linked resources are files and folders that are stored in locations in the file system outside of the project's location.

  Since:
    1.0-milestone-4

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getLocation()` The local file system absolute path of the target of the linked resource.
    `String` | `getLocationUri()` If the file is not in the local file system, this attribute contains the absolute URI of the resource in some backing file system.
    `String` | `getName()` The project-relative path of the linked resource as it appears in the workspace.
    `String` | `getType()` The resource type.

- - ### Method Detail

    - #### public String getLocation()

      The local file system absolute path of the target of the linked resource. For example: '/path/to/somewhere'. Mutually exclusive with 'locationUri'

      See the official Eclipse documentation for most up-to-date information on properties of a linked resource

      Returns:
        location

    - #### public String getLocationUri()

      If the file is not in the local file system, this attribute contains the absolute URI of the resource in some backing file system. Mutually exclusive with 'location'.

      When workspace path variable is used as part of path then this property must be used instead of 'location'

      Used for virtual folders. In that case the value is: 'virtual:/virtual'

      See the official Eclipse documentation for most up-to-date information on properties of a linked resource

      Returns:
        location uri

    - #### public String getName()

      The project-relative path of the linked resource as it appears in the workspace.

      See the official Eclipse documentation for most up-to-date information on properties of a linked resource

      For example, a linked resource to a file system folder /some/path/to/someFolder can have a name 'someFolder'

      Returns:
        name

    - #### public String getType()

      The resource type.

      If 'location' property is used the values are: "1" for a file, or "2" for a folder.

      If 'locationUri' property is used then the values are: "1" for file or folder when 'locationUri' first segment is a workspace path variable (or path variable navigation element), "2" for an eclipse virtual folder.

      See the official Eclipse documentation for most up-to-date information on properties of a linked resource

      Returns:
        Eclipse link type